/// <reference types="node" />
import { Readable } from 'stream';
import { IAM } from 'aws-sdk';
/**
 * ListStream
 *
 * incremental fetching target as readable stream
 */
declare abstract class ListStream<T> extends Readable {
    private params;
    protected marker: string | undefined;
    /**
     * Contructor
     *
     * @param {String} target - Policies | Roles
     * @param {Object} params - params of listPolicies
     */
    constructor(params?: any);
    _read(m: any): void;
    abstract _fetch(params: any): Promise<void>;
}
export declare class ListRoleStream extends ListStream<IAM.Role> {
    _fetch(params: any): Promise<void>;
}
export declare class ListPolicyStream extends ListStream<IAM.Policy> {
    _fetch(params: any): Promise<void>;
}
export {};
