import { IAM } from 'aws-sdk';
export declare type ArnType = string;
export declare type DocJson = string;
export declare function createRole(params: IAM.CreateRoleRequest): Promise<IAM.Role>;
export declare function getAttachedPoliciesByRole(roleName: string): Promise<IAM.AttachedPolicy[]>;
export declare function getRole(roleName: string): Promise<IAM.Role | null>;
export declare function getInstanceProfile(roleName: string): Promise<IAM.InstanceProfile | null>;
export declare function listPolicyVersions(arn: string): Promise<IAM.PolicyVersion[]>;
export declare function getPolicyVersion(arn: string, verionId: string): Promise<IAM.PolicyVersion>;
export declare function createPolicy(params: IAM.CreatePolicyRequest): Promise<IAM.CreatePolicyResponse>;
export declare function createPolicyDefaultVersion(arn: string, doc: DocJson): Promise<IAM.CreatePolicyVersionResponse>;
export declare function deletePolicyVersion(arn: string, versionId: string): Promise<{
    $response: import("aws-sdk").Response<{}, import("aws-sdk").AWSError>;
}>;
