import { IAM } from 'aws-sdk';
export interface StatementNode {
    Effect: string;
    Principal: {
        Federated: string;
        Service: string;
    };
    Action: any;
    Condition: any;
}
export interface AssumeRolePolicyDocumentNode {
    Version: string;
    Statement: StatementNode[];
}
export interface IRoleNode {
    RoleName: string;
    Path: string;
    AssumeRolePolicyDocument?: AssumeRolePolicyDocumentNode;
}
export declare class RoleNode implements IRoleNode {
    RoleName: string;
    Path: string;
    AssumeRolePolicyDocument?: AssumeRolePolicyDocumentNode;
    constructor(RoleName: string, Path: string, AssumeRolePolicyDocument?: AssumeRolePolicyDocumentNode);
    readonly isEc2Role: boolean;
    toCreateRoleParams(): IAM.CreateRoleRequest;
    static findRole(roleName: string): Promise<RoleNode>;
    static fromIAMRole(role: IAM.Role): RoleNode;
}
export interface RoleDocument {
    Role: IRoleNode;
    AttachedPolicies: IAM.AttachedPolicy[];
}
export declare class RoleEntry {
    name: string;
    Role: RoleNode;
    AttachedPolicies: IAM.AttachedPolicy[];
    constructor(name: string, document: RoleDocument);
}
