"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * import IAM polices from JSON files
 */
const promisedLife = require('promised-lifestream');
const StreamUtils = require('@tilfin/stream-utils');
const stream_1 = require("./utils/stream");
const result_writer_1 = require("./utils/result_writer");
const policy_registerer_1 = require("./logic/policy_registerer");
const file_1 = require("./utils/file");
const file_reader_1 = require("./aws/file_reader");
async function main(inDir, varSet, opts = {}) {
    const registerer = new policy_registerer_1.PolicyRegisterer(opts);
    try {
        const arnPrefix = await registerer.prepare();
        const jsonFiles = await file_1.listJsonFiles(inDir);
        return promisedLife([
            StreamUtils.readArray(jsonFiles),
            stream_1.promisedStream((filePath) => file_reader_1.readPolicyFile(filePath, varSet, arnPrefix)),
            stream_1.promisedStream((file) => registerer.register(file)),
            result_writer_1.createWriter(opts),
        ]);
    }
    catch (err) {
        console.error(err.stack);
        return false;
    }
}
exports.main = main;
