"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function listJsonFiles(parentDir) {
    return new Promise((resolve, reject) => {
        fs_1.default.readdir(parentDir, (err, files) => {
            if (err) {
                reject(err);
                return;
            }
            const fileList = files
                .map(file => {
                return path_1.default.resolve(parentDir, file);
            })
                .filter(file => {
                return fs_1.default.statSync(file).isFile() && /.*\.json$/.test(file);
            });
            resolve(fileList);
        });
    });
}
exports.listJsonFiles = listJsonFiles;
function readFile(filePath) {
    return new Promise((resolve, reject) => {
        fs_1.default.readFile(filePath, 'utf8', (err, text) => {
            if (err)
                reject(err);
            else
                resolve(text);
        });
    });
}
exports.readFile = readFile;
function writeJSONFile(dir, fileName, content) {
    const filePath = path_1.default.join(dir, fileName);
    const json = JSON.stringify(content, null, 4);
    return new Promise((resolve, reject) => {
        fs_1.default.writeFile(filePath, json, function (err) {
            if (err)
                reject(err);
            else
                resolve();
        });
    });
}
exports.writeJSONFile = writeJSONFile;
