"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StreamUtils = require('@tilfin/stream-utils');
function filterStream(filterFunc) {
    return StreamUtils.map(function (data, cb) {
        if (filterFunc(data))
            this.push(data);
        cb();
    });
}
exports.filterStream = filterStream;
function promisedStream(prmsFunc) {
    return StreamUtils.map(async function (data, ctx) {
        const result = await prmsFunc(data);
        if (result) {
            [].concat(result).forEach(item => ctx.push(item));
        }
    });
}
exports.promisedStream = promisedStream;
